# coding: utf-8

lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'homophone/version'

Gem::Specification.new do |spec|
  spec.name          = 'homophone'
  spec.version       = Homophone::VERSION
  spec.licenses      = 'MIT'
  spec.authors       = ['Michael Dippery']
  spec.email         = ['michael@monkey-robot.com']

  spec.summary       = 'Find related artists for a band'
  spec.description   = <<-DESC
Find related artists for your favorite band. Queries the Spotify API to find
other artists that are similar to a given artist.
  DESC
  spec.homepage      = 'https://github.com/mdippery/homophone'

  spec.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  spec.bindir        = 'exe'
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ['lib']

  spec.metadata = {
    'build_date'  => Time.now.strftime('%Y-%m-%d %H:%M:%S %Z'),
    'commit'      => `git describe 2>/dev/null`.chomp,
    'commit_hash' => `git rev-parse HEAD`.chomp,
  }

  spec.required_ruby_version = '>= 1.9.3'

  spec.add_runtime_dependency('httparty', '~> 0.14.0')
  spec.add_runtime_dependency('json', '~> 2.0')
  spec.add_runtime_dependency('slop', '~> 4.3')

  spec.add_development_dependency('aruba', '~> 0.14')
  spec.add_development_dependency('cucumber', '~> 2.3')
  spec.add_development_dependency('rspec', '~> 3.4')
  spec.add_development_dependency('vcr', '~> 3.0')
  spec.add_development_dependency('webmock', '~> 2.0')
end
